## pgpainless 1.3.16

=== docs/requirements.txt ===
myst-parser>=0.17
sphinxcontrib-mermaid>=0.7.1

## pgpainless 1.3.5

=== debian/changelog ===
pgpainless (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5
  * Build additional SOP and CLI library binary packages
  * Add d/upstream/metadata
  * Add autopkgtests
  * d/control:
    * add missing bcutil dependency
    * add deps for building pgpainless-sop and -cli
    * add missing deps in binary
    * improve short Description
    * build pgpainless-cli runtime package
  * d/rules:
    * don't hardcode JAVA_HOME
    * build test jar and enable tests
    * build and test pgpainless-sop and -cli
    * deploy manpages from upstream
  * d/watch: verify git tag signatures
  * d/maven.rules: fix package names
  * d/patches: add patch to skip mockito-based tests
  * d/copyright: update

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 11 Aug 2022 11:28:21 -0400

pgpainless (1.3.2-1) unstable; urgency=medium

  * Initial upload. (Closes: #1005300)

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 20 Jul 2022 10:49:20 -0400

=== debian/control ===
Source: pgpainless
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 default-jdk-doc,
 gradle-debian-helper,
 javahelper,
 junit5 <!nocheck>,
 libbcprov-java,
 libbcpg-java,
 libintellij-annotations-java,
 libjsr305-java,
 libjunit5-system-exit-java <!nocheck>,
 libslf4j-java,
 libsop-java-java,
 libsop-java-picocli-java,
 maven-debian-helper,
 maven-repo-helper,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
Homepage: https://pgpainless.org/

Package: libpgpainless-core-java
Architecture: all
Depends:
 libbcpg-java,
 libbcprov-java,
 libslf4j-java,
 ${maven:Depends},
 ${misc:Depends},
Description: Easy to use OpenPGP library
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal wth OpenPGP data.
 .
 This package contains the core PGPainless classes.

Package: libpgpainless-core-java-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-jquery-ui,
 ${misc:Depends},
Description: Easy to use OpenPGP library - docs
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal wth OpenPGP data.
 .
 This package contains documentation for libpgpainless-core-java.

Package: libpgpainless-sop-java
Architecture: all
Depends:
 libpgpainless-core-java,
 libsop-java-java,
 ${maven:Depends},
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - library
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal wth OpenPGP data.
 .
 This package contains the PGPainless-SOP implementation classes.

Package: libpgpainless-sop-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - library - docs
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal wth OpenPGP data.
 .
 This package contains documentation for libpgpainless-sop-java.

Package: libpgpainless-cli-java
Architecture: all
Depends:
 libpgpainless-sop-java,
 libsop-java-picocli-java,
 ${maven:Depends},
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - runtime library
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal wth OpenPGP data.
 .
 This package provides CLI command classes for PGPainless-SOP via picocli.

Package: libpgpainless-cli-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - runtime library - docs
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal wth OpenPGP data.
 .
 This package contains documentation for libpgpainless-cli-java.

Package: pgpainless-cli
Architecture: all
Depends:
 default-jre-headless,
 java-wrappers,
 libpgpainless-cli-java,
 ${maven:Depends},
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - runtime executable
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal wth OpenPGP data.
 .
 This package provide the command-line interface for the PGPainless Stateless
 OpenPGP Protocol.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

TEST_CORE_CLASSPATH=/usr/share/java/bcpg.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slf4j-simple.jar:pgpainless-core/build/libs/pgpainless-core.jar
TEST_SOP_CLASSPATH=$(TEST_CORE_CLASSPATH):/usr/share/java/sop-java.jar:pgpainless-sop/build/libs/pgpainless-sop.jar
TEST_CLI_CLASSPATH=$(TEST_SOP_CLASSPATH):/usr/share/java/sop-java-picocli.jar:/usr/share/java/junit5-system-exit.jar:pgpainless-cli/build/libs/pgpainless-cli.jar
JUNIT_OPTIONS=--scan-classpath --fail-if-no-tests --disable-ansi-colors

%:
	dh $@ --buildsystem=gradle --with javahelper,maven_repo_helper

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- jar testJar javadoc
else
	dh_auto_build -- jar testJar
endif

execute_after_dh_auto_build:
	for n in pgpainless-core pgpainless-sop pgpainless-cli; do \
		cd $$n/build/libs; \
		ln -sf $$n-$(DEB_VERSION_UPSTREAM).jar $$n.jar; \
		ln -sf $$n-$(DEB_VERSION_UPSTREAM)-tests.jar $$n-tests.jar; \
		cd $(CURDIR); \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	java \
		-jar /usr/share/java/junit-platform-console-standalone.jar \
		-cp $(TEST_CORE_CLASSPATH):pgpainless-core/build/libs/pgpainless-core-tests.jar \
		$(JUNIT_OPTIONS)
	java \
		-jar /usr/share/java/junit-platform-console-standalone.jar \
		-cp $(TEST_SOP_CLASSPATH):pgpainless-sop/build/libs/pgpainless-sop-tests.jar \
		$(JUNIT_OPTIONS)
	java -Xbootclasspath/a:/usr/share/java/sop-java-picocli.jar \
		-jar /usr/share/java/junit-platform-console-standalone.jar \
		-cp $(TEST_CLI_CLASSPATH):pgpainless-cli/build/libs/pgpainless-cli-tests.jar \
		$(JUNIT_OPTIONS)
endif

execute_after_dh_install:
	dh_install -p libpgpainless-core-java pgpainless-core/build/libs/pgpainless-core-*tests.jar /usr/share/java
	dh_install -p libpgpainless-sop-java pgpainless-sop/build/libs/pgpainless-sop-*tests.jar /usr/share/java
	dh_install -p libpgpainless-cli-java pgpainless-cli/build/libs/pgpainless-cli-*tests.jar /usr/share/java

override_dh_installman:
	dh_installman -p pgpainless-cli pgpainless-cli/packaging/man/*

## pgpainless 1.3.16

=== debian/changelog ===
pgpainless (1.3.16-1) unstable; urgency=medium

  * New upstream version 1.3.16
  * d/control: make libpgpainless dependencies tighter (Closes: #1028560)
  * d/rules: fix FTBFS in non-UTF-8 environment

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 03 Feb 2023 08:27:59 -0500

pgpainless (1.3.15-2) unstable; urgency=medium

  * d/control: fix bouncycastle binary dependency

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 08 Jan 2023 09:55:18 -0500

pgpainless (1.3.15-1) unstable; urgency=medium

  * New upstream version 1.3.15
  * d/control: require libbcpg-java to 1.72-2 and later

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 07 Jan 2023 17:57:15 -0500

pgpainless (1.3.14-1) unstable; urgency=medium

  * New upstream version 1.3.14 (Closes: #1023783, #1026756)

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 06 Jan 2023 13:22:44 -0500

pgpainless (1.3.13-2) unstable; urgency=medium

  * d/control: tighten Depends for binary packages

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 30 Nov 2022 10:55:36 -0500

pgpainless (1.3.13-1) unstable; urgency=medium

  * New upstream version 1.3.13
  * d/control: require bouncycastle 1.71 or higher
  * d/control: bump libsop-java-* deps minimum version
  * d/patches: drop patch merged upstream

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 30 Nov 2022 08:20:08 -0500

pgpainless (1.3.7-2) unstable; urgency=medium

  * d/patches: cherry-pick upstream patch fixing armel tests
  * d/control: fix typo in descriptions
  * d/rules: fix/improve nodoc and nocheck profiles
  * fix jquery symlinks in docs packages

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 04 Nov 2022 11:44:57 -0400

pgpainless (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 06 Oct 2022 12:53:03 -0400

pgpainless (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * d/control: apply multi-arch hints

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 24 Sep 2022 15:39:31 -0400

=== debian/control ===
Source: pgpainless
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 default-jdk-doc <!nodoc>,
 gradle-debian-helper,
 javahelper,
 junit5 <!nocheck>,
 libbcpg-java (>= 1.72-2),
 libintellij-annotations-java,
 libjsr305-java,
 libjunit5-system-exit-java <!nocheck>,
 libslf4j-java,
 libsop-java-java (>= 4.0.7),
 libsop-java-picocli-java (>= 4.0.7),
 maven-debian-helper,
 maven-repo-helper,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
Homepage: https://pgpainless.org/

Package: libpgpainless-core-java
Architecture: all
Depends:
 libbcpg-java (>= 1.72-2),
 libslf4j-java,
 ${maven:Depends},
 ${misc:Depends},
Description: Easy to use OpenPGP library
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal with OpenPGP data.
 .
 This package contains the core PGPainless classes.

Package: libpgpainless-core-java-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 libjs-jquery-ui,
 ${misc:Depends},
Description: Easy to use OpenPGP library - docs
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal with OpenPGP data.
 .
 This package contains documentation for libpgpainless-core-java.

Package: libpgpainless-sop-java
Architecture: all
Depends:
 libpgpainless-core-java (= ${source:Version}),
 libsop-java-java (>= 4.0.7),
 ${maven:Depends},
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - library
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal with OpenPGP data.
 .
 This package contains the PGPainless-SOP implementation classes.

Package: libpgpainless-sop-java-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - library - docs
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal with OpenPGP data.
 .
 This package contains documentation for libpgpainless-sop-java.

Package: libpgpainless-cli-java
Architecture: all
Depends:
 libpgpainless-sop-java (= ${source:Version}),
 libsop-java-picocli-java (>= 4.0.7),
 ${maven:Depends},
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - runtime library
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal with OpenPGP data.
 .
 This package provides CLI command classes for PGPainless-SOP via picocli.

Package: libpgpainless-cli-java-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - runtime library - docs
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal with OpenPGP data.
 .
 This package contains documentation for libpgpainless-cli-java.

Package: pgpainless-cli
Architecture: all
Depends:
 default-jre-headless,
 java-wrappers,
 libpgpainless-cli-java (= ${source:Version}),
 ${maven:Depends},
 ${misc:Depends},
Description: Stateless OpenPGP Protocol with PGPainless - runtime executable
 PGPainless is a modern implementation of OpenPGP in Java. It offers an
 ergonomic interface on top of the BouncyCastle cryptographic toolkit
 that makes it straightforward to deal with OpenPGP data.
 .
 This package provide the command-line interface for the PGPainless Stateless
 OpenPGP Protocol.

=== debian/rules ===
--- 
+++ 
@@ -2,26 +2,35 @@
 
 include /usr/share/javahelper/java-vars.mk
 include /usr/share/dpkg/pkg-info.mk
+
+export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF-8
 
 TEST_CORE_CLASSPATH=/usr/share/java/bcpg.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slf4j-simple.jar:pgpainless-core/build/libs/pgpainless-core.jar
 TEST_SOP_CLASSPATH=$(TEST_CORE_CLASSPATH):/usr/share/java/sop-java.jar:pgpainless-sop/build/libs/pgpainless-sop.jar
 TEST_CLI_CLASSPATH=$(TEST_SOP_CLASSPATH):/usr/share/java/sop-java-picocli.jar:/usr/share/java/junit5-system-exit.jar:pgpainless-cli/build/libs/pgpainless-cli.jar
 JUNIT_OPTIONS=--scan-classpath --fail-if-no-tests --disable-ansi-colors
 
+BUILD_TASKS = jar
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	BUILD_TASKS += javadoc
+endif
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	BUILD_TASKS += testJar
+endif
+
 %:
 	dh $@ --buildsystem=gradle --with javahelper,maven_repo_helper
 
 override_dh_auto_build:
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	dh_auto_build -- jar testJar javadoc
-else
-	dh_auto_build -- jar testJar
-endif
+	dh_auto_build -- $(BUILD_TASKS)
 
 execute_after_dh_auto_build:
 	for n in pgpainless-core pgpainless-sop pgpainless-cli; do \
 		cd $$n/build/libs; \
 		ln -sf $$n-$(DEB_VERSION_UPSTREAM).jar $$n.jar; \
+		test -e $$n-$(DEB_VERSION_UPSTREAM)-tests.jar && \
 		ln -sf $$n-$(DEB_VERSION_UPSTREAM)-tests.jar $$n-tests.jar; \
 		cd $(CURDIR); \
 	done
@@ -42,10 +51,26 @@
 		$(JUNIT_OPTIONS)
 endif
 
-execute_after_dh_install:
+override_dh_install:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS $(DEB_BUILD_PROFILES))))
+	dh_install
+else
+	dh_install -Nlibpgpainless-core-java-doc -Nlibpgpainless-cli-java-doc -Nlibpgpainless-sop-java-doc
+endif
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_install -p libpgpainless-core-java pgpainless-core/build/libs/pgpainless-core-*tests.jar /usr/share/java
 	dh_install -p libpgpainless-sop-java pgpainless-sop/build/libs/pgpainless-sop-*tests.jar /usr/share/java
 	dh_install -p libpgpainless-cli-java pgpainless-cli/build/libs/pgpainless-cli-*tests.jar /usr/share/java
+endif
 
 override_dh_installman:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	dh_installman -p pgpainless-cli pgpainless-cli/packaging/man/*
+endif
+
+execute_after_jh_manifest:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	jh_manifest -c "junit5-system-exit.jar bcutil.jar pgpainless-cli.jar" debian/libpgpainless-cli-java/usr/share/java/pgpainless-cli-tests.jar
+	jh_manifest -c "bcutil.jar pgpainless-core.jar" debian/libpgpainless-core-java/usr/share/java/pgpainless-core-tests.jar
+	jh_manifest -c "pgpainless-sop.jar" debian/libpgpainless-sop-java/usr/share/java/pgpainless-sop-tests.jar
+endif

## pgpainless 1.6.6

=== debian/changelog ===
pgpainless (1.6.6-2) unstable; urgency=medium

  * Team upload
  * d/t/upstream-sop, d/t/upstream-cli, d/rules: Java 21 throws
    UnsupportedOperationException when trying to set SecurityManager.
    JUnit SystemExit extension tries to set SecurityManager. Pass
    -Djava.security.manager=allow so that extension works
    (Closes: #1064780).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Feb 2024 09:33:56 +1300

pgpainless (1.6.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.6
  * Exclude gradle wrapper files from upstream tarball
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 12 Feb 2024 21:25:07 -0800

pgpainless (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5
  * d/control: add missing jsr305 dep on binary
  * d/control: remove obsolete annotations build-dep

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Dec 2023 15:31:39 -0500

pgpainless (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4 (Closes: #1057166, #1043471)
  * d/control: bump dependencies for new upstream version
  * d/control: bump Standards-Version, no changes needed
  * d/patches:
    + re-roll patches for new upstream version
    + add patch removing compileJava target
    + fix dependency on sop-java test fixtures
    + fix bouncycastle class names
    - remove obsolete expired keys patch
  * d/rules: resolve junit warnings
  * d/tests: add new sop-java-testfixtures jar on classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 02 Dec 2023 21:08:44 -0500

pgpainless (1.3.16-2) unstable; urgency=medium

  * Team upload.
  * Disable test using expired keys (Closes: #1054771)

 -- tony mancill <tmancill@debian.org>  Sat, 25 Nov 2023 09:28:51 -0800

=== debian/control ===
--- 
+++ 
@@ -11,24 +11,25 @@
  gradle-debian-helper,
  javahelper,
  junit5 <!nocheck>,
- libbcpg-java (>= 1.72-2),
- libintellij-annotations-java,
+ libbcpg-java (>= 1.77),
  libjsr305-java,
  libjunit5-system-exit-java <!nocheck>,
  libslf4j-java,
- libsop-java-java (>= 4.0.7),
- libsop-java-picocli-java (>= 4.0.7),
+ libsop-java-java (>= 7.0.1),
+ libsop-java-picocli-java (>= 7.0.1),
  maven-debian-helper,
  maven-repo-helper,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
 Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
 Homepage: https://pgpainless.org/
+Rules-Requires-Root: no
 
 Package: libpgpainless-core-java
 Architecture: all
 Depends:
- libbcpg-java (>= 1.72-2),
+ libbcpg-java (>= 1.77),
+ libjsr305-java,
  libslf4j-java,
  ${maven:Depends},
  ${misc:Depends},
@@ -58,8 +59,9 @@
 Package: libpgpainless-sop-java
 Architecture: all
 Depends:
+ libjsr305-java,
  libpgpainless-core-java (= ${source:Version}),
- libsop-java-java (>= 4.0.7),
+ libsop-java-java (>= 7.0.1),
  ${maven:Depends},
  ${misc:Depends},
 Description: Stateless OpenPGP Protocol with PGPainless - library
@@ -86,8 +88,9 @@
 Package: libpgpainless-cli-java
 Architecture: all
 Depends:
+ libjsr305-java,
  libpgpainless-sop-java (= ${source:Version}),
- libsop-java-picocli-java (>= 4.0.7),
+ libsop-java-picocli-java (>= 7.0.1),
  ${maven:Depends},
  ${misc:Depends},
 Description: Stateless OpenPGP Protocol with PGPainless - runtime library

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF-8
 
 TEST_CORE_CLASSPATH=/usr/share/java/bcpg.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slf4j-simple.jar:pgpainless-core/build/libs/pgpainless-core.jar
-TEST_SOP_CLASSPATH=$(TEST_CORE_CLASSPATH):/usr/share/java/sop-java.jar:pgpainless-sop/build/libs/pgpainless-sop.jar
+TEST_SOP_CLASSPATH=$(TEST_CORE_CLASSPATH):/usr/share/java/sop-java.jar:/usr/share/java/sop-java-testfixtures.jar:pgpainless-sop/build/libs/pgpainless-sop.jar
 TEST_CLI_CLASSPATH=$(TEST_SOP_CLASSPATH):/usr/share/java/sop-java-picocli.jar:/usr/share/java/junit5-system-exit.jar:pgpainless-cli/build/libs/pgpainless-cli.jar
-JUNIT_OPTIONS=--scan-classpath --fail-if-no-tests --disable-ansi-colors
+JUNIT_OPTIONS=--exclude-classname="^sop\.testsuite\.\S+" --scan-classpath --fail-if-no-tests --disable-ansi-colors
 
 BUILD_TASKS = jar
 
@@ -38,15 +38,18 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	java \
-		-jar /usr/share/java/junit-platform-console-standalone.jar \
+		-Djava.security.manager=allow \
+		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_CORE_CLASSPATH):pgpainless-core/build/libs/pgpainless-core-tests.jar \
 		$(JUNIT_OPTIONS)
 	java \
-		-jar /usr/share/java/junit-platform-console-standalone.jar \
+		-Djava.security.manager=allow \
+		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_SOP_CLASSPATH):pgpainless-sop/build/libs/pgpainless-sop-tests.jar \
 		$(JUNIT_OPTIONS)
-	java -Xbootclasspath/a:/usr/share/java/sop-java-picocli.jar \
-		-jar /usr/share/java/junit-platform-console-standalone.jar \
+	java -Djava.security.manager=allow \
+		-Xbootclasspath/a:/usr/share/java/sop-java-picocli.jar \
+		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_CLI_CLASSPATH):pgpainless-cli/build/libs/pgpainless-cli-tests.jar \
 		$(JUNIT_OPTIONS)
 endif

=== debian/tests/control ===
Tests: upstream-core
Depends:
  junit5,
  libbcutil-java,
  libpgpainless-core-java
Restrictions: allow-stderr

Tests: upstream-sop
Depends:
  junit5,
  libpgpainless-sop-java
Restrictions: allow-stderr

Tests: upstream-cli
Depends:
  junit5,
  libjunit5-system-exit-java,
  libpgpainless-cli-java
Restrictions: allow-stderr

Tests: cli
Depends: pgpainless-cli

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,compression=xz" \
https://github.com/pgpainless/pgpainless.git \
refs/tags/@ANY_VERSION@

## pgpainless 1.6.7

=== debian/changelog ===
pgpainless (1.6.7-2) unstable; urgency=medium

  * Reupload to include missed changes from 1.6.6-2.

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Mar 2024 11:08:53 -0400

pgpainless (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7
  * d/patches: refresh patch for new upstream version
  * d/patches: add patch to fix build scripts

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Mar 2024 09:41:27 -0400

## pgpainless 1.6.8

=== debian/changelog ===
pgpainless (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8
  * d/control: update Standards-Version, no changes needed
  * d/watch: remain on 1.6 branch for now
  * fix embedded javascript replacement symlinks

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 02 Nov 2024 13:46:43 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libsop-java-picocli-java (>= 7.0.1),
  maven-debian-helper,
  maven-repo-helper,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
 Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
 Homepage: https://pgpainless.org/

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,compression=xz" \
https://github.com/pgpainless/pgpainless.git \
refs/tags/(1.6.\d+)

## pgpainless 1.6.9

=== docs/requirements.txt ===
myst-parser>=0.17
sphinxcontrib-mermaid>=0.7.1
sphinx_rtd_theme>=2.0.0

=== debian/changelog ===
pgpainless (1.6.9-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/control, d/rules: use junit5-system-exit 2.0.2 for
    Java 25 compatibility (Closes: #1108587).

  [ Emmanuel Bourg ]
  * Converted debian/watch to version 5 format

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Dec 2025 10:46:55 +0100

pgpainless (1.6.9-1) unstable; urgency=medium

  * New upstream version 1.6.9 (Closes: #1100250, #1101420)
  * d/control: bump bouncycastle to 1.80
  * d/control: add new dependency on libbcutil-java
  * d/control: update Standards-Version, no changes needed
  * d/patches: refresh patches for new upstream version

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 28 Mar 2025 15:51:22 -0400

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
  gradle-debian-helper,
  javahelper,
  junit5 <!nocheck>,
- libbcpg-java (>= 1.77),
+ libbcpg-java (>= 1.80),
+ libbcutil-java (>= 1.80),
  libjsr305-java,
- libjunit5-system-exit-java <!nocheck>,
+ libjunit5-system-exit-java (>=2.0.2) <!nocheck>,
  libslf4j-java,
  libsop-java-java (>= 7.0.1),
  libsop-java-picocli-java (>= 7.0.1),
  maven-debian-helper,
  maven-repo-helper,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
 Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
 Homepage: https://pgpainless.org/
@@ -28,7 +29,8 @@
 Package: libpgpainless-core-java
 Architecture: all
 Depends:
- libbcpg-java (>= 1.77),
+ libbcpg-java (>= 1.80),
+ libbcutil-java (>= 1.80),
  libjsr305-java,
  libslf4j-java,
  ${maven:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF-8
 
-TEST_CORE_CLASSPATH=/usr/share/java/bcpg.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slf4j-simple.jar:pgpainless-core/build/libs/pgpainless-core.jar
+TEST_CORE_CLASSPATH=/usr/share/java/bcpg.jar:/usr/share/java/bcutil.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slf4j-simple.jar:pgpainless-core/build/libs/pgpainless-core.jar
 TEST_SOP_CLASSPATH=$(TEST_CORE_CLASSPATH):/usr/share/java/sop-java.jar:/usr/share/java/sop-java-testfixtures.jar:pgpainless-sop/build/libs/pgpainless-sop.jar
 TEST_CLI_CLASSPATH=$(TEST_SOP_CLASSPATH):/usr/share/java/sop-java-picocli.jar:/usr/share/java/junit5-system-exit.jar:pgpainless-cli/build/libs/pgpainless-cli.jar
 JUNIT_OPTIONS=--exclude-classname="^sop\.testsuite\.\S+" --scan-classpath --fail-if-no-tests --disable-ansi-colors
@@ -38,16 +38,16 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	java \
-		-Djava.security.manager=allow \
+		-javaagent:/usr/share/java/junit5-system-exit.jar \
 		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_CORE_CLASSPATH):pgpainless-core/build/libs/pgpainless-core-tests.jar \
 		$(JUNIT_OPTIONS)
 	java \
-		-Djava.security.manager=allow \
+		-javaagent:/usr/share/java/junit5-system-exit.jar \
 		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_SOP_CLASSPATH):pgpainless-sop/build/libs/pgpainless-sop-tests.jar \
 		$(JUNIT_OPTIONS)
-	java -Djava.security.manager=allow \
+	java -javaagent:/usr/share/java/junit5-system-exit.jar \
 		-Xbootclasspath/a:/usr/share/java/sop-java-picocli.jar \
 		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_CLI_CLASSPATH):pgpainless-cli/build/libs/pgpainless-cli-tests.jar \

=== debian/watch ===
Version: 5
Template: GitHub
Owner: pgpainless
Project: pgpainless
Uversion-Mangle: s/-(alpha|rc)/~$1/g
